* [gentoo-commits] proj/musl:master commit in: sys-kernel/dracut/files/, sys-kernel/dracut/
@ 2017-07-03 20:36 Aric Belsito
0 siblings, 0 replies; 3+ messages in thread
From: Aric Belsito @ 2017-07-03 20:36 UTC (permalink / raw
To: gentoo-commits
commit: b5cb6c719a24b118865777640682e269b33a6e62
Author: Aric Belsito <lluixhi <AT> gmail <DOT> com>
AuthorDate: Mon Jul 3 20:35:03 2017 +0000
Commit: Aric Belsito <lluixhi <AT> gmail <DOT> com>
CommitDate: Mon Jul 3 20:35:50 2017 +0000
URL: https://gitweb.gentoo.org/proj/musl.git/commit/?id=b5cb6c71
sys-kernel/dracut: add 045 (most recent)
Now depends on libfts on musl, so we need a patch in order to detect its
presence.
sys-kernel/dracut/Manifest | 4 +
sys-kernel/dracut/dracut-045.ebuild | 168 ++++++++++++++++++++++++
sys-kernel/dracut/files/dracut-045-libfts.patch | 87 ++++++++++++
sys-kernel/dracut/metadata.xml | 28 ++++
4 files changed, 287 insertions(+)
diff --git a/sys-kernel/dracut/Manifest b/sys-kernel/dracut/Manifest
new file mode 100644
index 0000000..481a285
--- /dev/null
+++ b/sys-kernel/dracut/Manifest
@@ -0,0 +1,4 @@
+AUX dracut-045-libfts.patch 2744 SHA256 49151e4f1f1042f9cdc7caa2388f0785526f27820323ca02dc65f6ed61d7d611 SHA512 cb94e734471118c414c8f78b1e528fb19712e1eb4ccec6999bb1e9e57c239647a5205b63dff69b4f921c6ac6eddfc3c3c6ffef973bff6acd690365a3fe245d56 WHIRLPOOL 1170ee991d4dc6f1066737a2fe46e2bf200b537151c4e5ba8c0ec7f0b92cda834e7779004918df21845a2441bc454874a00d7f5532490aaed4ee758278e75039
+DIST dracut-045.tar.xz 292652 SHA256 ca9c7ea54d3efc8b57ac1427cc5fa4d66688f6cf9d3088f4c5e7ae7c7e84ebf8 SHA512 b57aab1f6fbdd5ad52a13a0eb99937b1abcd11507a2a3e6ec9bcb94e578cc32edc01a814ea2cef93158c27c17e3e40bcdd32a66457a20363f8136b8b546bbb4a WHIRLPOOL d9cdf32e4fb745b2598aa2f0504c943f5a069dddc17d5261d594b2fc33921306196386bc35156d5bf71983cc15be3b0cddd504d1b6a2042b45b5c5ae622b23b9
+EBUILD dracut-045.ebuild 4822 SHA256 f843b16a682e4d9fca90398c9509e48c26e6d1f3b54b54d7416ef24bffb9c40b SHA512 f2dd17ecbe36fa64f6c5ab84a7c5777636bb0832a22deb274ea01b5e2bc18fdc66c3e526486fc9e4bf59f53d28d60f6935a0b85ad0db17be333688a89a630ed7 WHIRLPOOL 09410575b79ab230cfc3593b78914cb8bc6e7e7549334879b4ab9e14bb22dd0bf5bb04aca97d7c92abc4f3907a909c6ddbcae14beab90e3c4a6af9c29b64809a
+MISC metadata.xml 840 SHA256 8ef5aab36d95735b3b0b1cdba609ef3cd8e883ac38fb619c957fe5ae1e35bd6d SHA512 d347acc0a7c8b821804280f198aa28cbd4198a8f2d570c2725584b18b04125a684bed6adb48f5cb71fe1ef0e1c19320ad3dbff612dbf972f741b50b91fc388ba WHIRLPOOL 9edf380512d517d1eb6303a81379e8df8c342c3ab4501b150f2c23078185d09251903b4ea182a65c49caeda51ce21845ba34783875b7c8111883ff3855f0dbac
diff --git a/sys-kernel/dracut/dracut-045.ebuild b/sys-kernel/dracut/dracut-045.ebuild
new file mode 100644
index 0000000..20908ce
--- /dev/null
+++ b/sys-kernel/dracut/dracut-045.ebuild
@@ -0,0 +1,168 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit bash-completion-r1 linux-info toolchain-funcs systemd
+
+DESCRIPTION="Generic initramfs generation tool"
+HOMEPAGE="https://dracut.wiki.kernel.org"
+SRC_URI="mirror://kernel/linux/utils/boot/${PN}/${P}.tar.xz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug selinux"
+
+RESTRICT="test"
+
+CDEPEND="virtual/udev
+ virtual/pkgconfig
+ >=sys-apps/kmod-15[tools]
+ "
+RDEPEND="${CDEPEND}
+ app-arch/cpio
+ >=app-shells/bash-4.0:0
+ || (
+ >=sys-apps/sysvinit-2.87-r3
+ sys-apps/systemd[sysv-utils]
+ sys-apps/systemd-sysv-utils
+ )
+ sys-apps/coreutils[xattr(-)]
+ >=sys-apps/util-linux-2.21
+
+ debug? ( dev-util/strace )
+ elibc_musl? ( sys-libs/fts-standalone )
+ selinux? (
+ sys-libs/libselinux
+ sys-libs/libsepol
+ sec-policy/selinux-dracut
+ )
+ !net-analyzer/arping
+ "
+DEPEND="${CDEPEND}
+ app-text/asciidoc
+ >=dev-libs/libxslt-1.1.26
+ app-text/docbook-xml-dtd:4.5
+ >=app-text/docbook-xsl-stylesheets-1.75.2
+ "
+
+DOCS=( AUTHORS HACKING NEWS README README.generic README.kernel README.modules
+ README.testsuite TODO )
+
+QA_MULTILIB_PATHS="usr/lib/dracut"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-libfts.patch
+)
+
+src_configure() {
+ local myconf=(
+ --prefix="${EPREFIX}/usr"
+ --sysconfdir="${EPREFIX}/etc"
+ --bashcompletiondir="$(get_bashcompdir)"
+ --systemdsystemunitdir="$(systemd_get_systemunitdir)"
+ )
+
+ tc-export CC PKG_CONFIG
+
+ echo ./configure "${myconf[@]}"
+ ./configure "${myconf[@]}" || die
+}
+
+src_install() {
+ default
+
+ local dracutlibdir="usr/lib/dracut"
+
+ local libdirs="/$(get_libdir) /usr/$(get_libdir)"
+ if [[ ${SYMLINK_LIB} = yes ]]; then
+ # Preserve lib -> lib64 symlinks in initramfs
+ [[ $libdirs =~ /lib\ ]] || libdirs+=" /lib /usr/lib"
+ fi
+
+ einfo "Setting libdirs to \"${libdirs}\" ..."
+ echo "libdirs=\"${libdirs}\"" > "${T}/gentoo.conf"
+ insinto "${dracutlibdir}/dracut.conf.d"
+ doins "${T}/gentoo.conf"
+
+ insinto /etc/logrotate.d
+ newins dracut.logrotate dracut
+
+ dodir /var/lib/dracut/overlay
+
+ dodoc dracut.html
+}
+
+pkg_postinst() {
+ if linux-info_get_any_version && linux_config_exists; then
+ ewarn ""
+ ewarn "If the following test report contains a missing kernel"
+ ewarn "configuration option, you should reconfigure and rebuild your"
+ ewarn "kernel before booting image generated with this Dracut version."
+ ewarn ""
+
+ local CONFIG_CHECK="~BLK_DEV_INITRD ~DEVTMPFS"
+
+ # Kernel configuration options descriptions:
+ local desc_DEVTMPFS="Maintain a devtmpfs filesystem to mount at /dev"
+ local desc_BLK_DEV_INITRD="Initial RAM filesystem and RAM disk "\
+"(initramfs/initrd) support"
+
+ local opt desc
+
+ # Generate ERROR_* variables for check_extra_config.
+ for opt in ${CONFIG_CHECK}; do
+ opt=${opt#\~}
+ desc=desc_${opt}
+ eval "local ERROR_${opt}='CONFIG_${opt}: \"${!desc}\"" \
+ "is missing and REQUIRED'"
+ done
+
+ check_extra_config
+ echo
+ else
+ ewarn ""
+ ewarn "Your kernel configuration couldn't be checked. Do you have"
+ ewarn "/usr/src/linux/.config file there? Please check manually if"
+ ewarn "following options are enabled:"
+ ewarn ""
+ ewarn " CONFIG_BLK_DEV_INITRD"
+ ewarn " CONFIG_DEVTMPFS"
+ ewarn ""
+ fi
+
+ elog "To get additional features, a number of optional runtime"
+ elog "dependencies may be installed:"
+ elog ""
+ optfeature "Networking support" net-misc/curl "net-misc/dhcp[client]" \
+ sys-apps/iproute2 "net-misc/iputils[arping]"
+ optfeature \
+ "Measure performance of the boot process for later visualisation" \
+ app-benchmarks/bootchart2 app-admin/killproc sys-process/acct
+ optfeature "Scan for Btrfs on block devices" sys-fs/btrfs-progs
+ optfeature "Load kernel modules and drop this privilege for real init" \
+ sys-libs/libcap
+ optfeature "Support CIFS" net-fs/cifs-utils
+ optfeature "Decrypt devices encrypted with cryptsetup/LUKS" \
+ "sys-fs/cryptsetup[-static-libs]"
+ optfeature "Support for GPG-encrypted keys for crypt module" \
+ app-crypt/gnupg
+ optfeature \
+ "Allows use of dash instead of default bash (on your own risk)" \
+ app-shells/dash
+ optfeature "Framebuffer splash (media-gfx/splashutils)" \
+ media-gfx/splashutils
+ optfeature "Support iSCSI" sys-block/open-iscsi
+ optfeature "Support Logical Volume Manager" sys-fs/lvm2
+ optfeature "Support MD devices, also known as software RAID devices" \
+ sys-fs/mdadm
+ optfeature "Support Device Mapper multipathing" sys-fs/multipath-tools
+ optfeature "Plymouth boot splash" '>=sys-boot/plymouth-0.8.5-r5'
+ optfeature "Support network block devices" sys-block/nbd
+ optfeature "Support NFS" net-fs/nfs-utils net-nds/rpcbind
+ optfeature \
+ "Install ssh and scp along with config files and specified keys" \
+ net-misc/openssh
+ optfeature "Enable logging with syslog-ng or rsyslog" app-admin/syslog-ng \
+ app-admin/rsyslog
+}
diff --git a/sys-kernel/dracut/files/dracut-045-libfts.patch b/sys-kernel/dracut/files/dracut-045-libfts.patch
new file mode 100644
index 0000000..cb35fe5
--- /dev/null
+++ b/sys-kernel/dracut/files/dracut-045-libfts.patch
@@ -0,0 +1,87 @@
+diff -Naur dracut-045.orig/Makefile dracut-045/Makefile
+--- dracut-045.orig/Makefile 2017-07-03 12:44:30.407689932 -0700
++++ dracut-045/Makefile 2017-07-03 13:17:10.262396884 -0700
+@@ -12,7 +12,7 @@
+ sysconfdir ?= ${prefix}/etc
+ bindir ?= ${prefix}/bin
+ mandir ?= ${prefix}/share/man
+-CFLAGS ?= -O2 -g -Wall $(KMOD_CFLAGS)
++CFLAGS ?= -O2 -g -Wall $(KMOD_CFLAGS) $(FTS_CFLAGS)
+ CFLAGS += -std=gnu99 -D_FILE_OFFSET_BITS=64 -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
+ bashcompletiondir ?= ${datadir}/bash-completion/completions
+ pkgconfigdatadir ?= $(datadir)/pkgconfig
+@@ -61,7 +61,7 @@
+ install/strv.o: install/strv.c install/strv.h install/util.h install/macro.h install/log.h
+
+ install/dracut-install: $(DRACUT_INSTALL_OBJECTS)
+- $(CC) $(LDFLAGS) -o $@ $(DRACUT_INSTALL_OBJECTS) $(LDLIBS) $(KMOD_LIBS)
++ $(CC) $(LDFLAGS) -o $@ $(DRACUT_INSTALL_OBJECTS) $(LDLIBS) $(KMOD_LIBS) $(FTS_LIBS)
+
+ dracut-install: install/dracut-install
+ ln -fs $< $@
+diff -Naur dracut-045.orig/configure dracut-045/configure
+--- dracut-045.orig/configure 2017-07-03 12:44:30.409689958 -0700
++++ dracut-045/configure 2017-07-03 13:29:29.159797981 -0700
+@@ -7,6 +7,7 @@
+
+ enable_documentation=yes
+
++CC="${CC:-gcc}"
+ PKG_CONFIG="${PKG_CONFIG:-pkg-config}"
+
+ # Little helper function for reading args from the commandline.
+@@ -52,10 +53,40 @@
+ shift
+ done
+
++printf "checking for libkmod... "
+ if ! ${PKG_CONFIG} --exists --print-errors " libkmod >= 15 "; then
++ printf "no\n"
+ echo "dracut needs pkg-config and libkmod >= 15." >&2
+ exit 1
+ fi
++printf "yes\n"
++
++tmpc="./conftest.c"
++
++printf "checking whether we have fts available from libc... "
++echo '#if !defined(__x86_64__)' > "$tmpc"
++echo '#undef _FILE_OFFSET_BITS' >> "$tmpc"
++echo '#define _FILE_OFFSET_BITS 32' >> "$tmpc"
++echo '#endif' >> "$tmpc"
++echo '#include <fts.h>' >> "$tmpc"
++echo 'int main() { FTS* fts = 0; return fts_close(fts); return 0; }' >> "$tmpc"
++if $CC -o /dev/null "$tmpc" >/dev/null 2>&1 ; then
++printf "yes\n"
++fts_library=false
++else
++printf "no\n"
++printf "checking whether we have fts available from libfts... "
++if $CC -lfts -o /dev/null "$tmpc" >/dev/null 2>&1 ; then
++printf "yes\n"
++fts_library=true
++else
++printf "no\n"
++echo "fts not in libc and libfts not found."
++exit 1
++fi
++fi
++
++rm $tmpc
+
+ cat > Makefile.inc.$$ <<EOF
+ prefix ?= ${prefix}
+@@ -70,6 +101,13 @@
+ KMOD_LIBS ?= $(${PKG_CONFIG} --libs " libkmod >= 15 ")
+ EOF
+
++if $fts_library ; then
++cat >> Makefile.inc.$$ <<EOF
++FTS_CFLAGS ?= $(${PKG_CONFIG} --cflags " fts-standalone ")
++FTS_LIBS ?= $(${PKG_CONFIG} --libs " fts-standalone ")
++EOF
++fi
++
+ {
+ [[ $programprefix ]] && echo "programprefix ?= ${programprefix}"
+ [[ $execprefix ]] && echo "execprefix ?= ${execprefix}"
diff --git a/sys-kernel/dracut/metadata.xml b/sys-kernel/dracut/metadata.xml
new file mode 100644
index 0000000..f5d5063
--- /dev/null
+++ b/sys-kernel/dracut/metadata.xml
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>chutzpah@gentoo.org</email>
+ <name>Patrick McLean</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>alexander@tsoy.me</email>
+ <name>Alexander Tsoy</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>aidecoe@gentoo.org</email>
+ <name>Amadeusz Żołnowski</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>floppym@gentoo.org</email>
+ <name>Mike Gilbert</name>
+ </maintainer>
+ <use>
+ <flag name="debug">Module installing additional tools like strace, file
+ editor, ssh and more</flag>
+ </use>
+ <longdescription lang="en">
+ Generic, modular initramfs generation tool that can be used across various
+ distributions.
+ </longdescription>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/musl:master commit in: sys-kernel/dracut/files/, sys-kernel/dracut/
@ 2017-07-06 17:32 Aric Belsito
0 siblings, 0 replies; 3+ messages in thread
From: Aric Belsito @ 2017-07-06 17:32 UTC (permalink / raw
To: gentoo-commits
commit: f30dbf7b701c34c264f14980f730477dc7b97005
Author: Aric Belsito <lluixhi <AT> gmail <DOT> com>
AuthorDate: Thu Jul 6 17:31:53 2017 +0000
Commit: Aric Belsito <lluixhi <AT> gmail <DOT> com>
CommitDate: Thu Jul 6 17:31:53 2017 +0000
URL: https://gitweb.gentoo.org/proj/musl.git/commit/?id=f30dbf7b
sys-kernel/dracut: version bump to 045-r2
sys-kernel/dracut/Manifest | 3 +-
.../{dracut-045.ebuild => dracut-045-r2.ebuild} | 3 +-
sys-kernel/dracut/files/045-systemdutildir.patch | 45 ++++++++++++++++++++++
3 files changed, 49 insertions(+), 2 deletions(-)
diff --git a/sys-kernel/dracut/Manifest b/sys-kernel/dracut/Manifest
index 481a285..96187f9 100644
--- a/sys-kernel/dracut/Manifest
+++ b/sys-kernel/dracut/Manifest
@@ -1,4 +1,5 @@
+AUX 045-systemdutildir.patch 1665 SHA256 9a2a9e8a1486945f5639a25abca9c06c445de41dbdd261f30f2e7944c21772c4 SHA512 f576cd166e9ad03ffa8317dcffcd7c6f920ffa92251eaacc5c2a95e4ca88687bd1870c8f75ecf3b5fc81773f2d3e082dff647d6a313d183a6017fc79b7bc604b WHIRLPOOL a4494844ad2bc1d87f599b56b0d8799c3972c2c65b1b9e8d099180dd7d3126e2c74d21736071c0e59fdca08d799ebf5787a4601f3a94a7c903fa90ddbb5c2a2c
AUX dracut-045-libfts.patch 2744 SHA256 49151e4f1f1042f9cdc7caa2388f0785526f27820323ca02dc65f6ed61d7d611 SHA512 cb94e734471118c414c8f78b1e528fb19712e1eb4ccec6999bb1e9e57c239647a5205b63dff69b4f921c6ac6eddfc3c3c6ffef973bff6acd690365a3fe245d56 WHIRLPOOL 1170ee991d4dc6f1066737a2fe46e2bf200b537151c4e5ba8c0ec7f0b92cda834e7779004918df21845a2441bc454874a00d7f5532490aaed4ee758278e75039
DIST dracut-045.tar.xz 292652 SHA256 ca9c7ea54d3efc8b57ac1427cc5fa4d66688f6cf9d3088f4c5e7ae7c7e84ebf8 SHA512 b57aab1f6fbdd5ad52a13a0eb99937b1abcd11507a2a3e6ec9bcb94e578cc32edc01a814ea2cef93158c27c17e3e40bcdd32a66457a20363f8136b8b546bbb4a WHIRLPOOL d9cdf32e4fb745b2598aa2f0504c943f5a069dddc17d5261d594b2fc33921306196386bc35156d5bf71983cc15be3b0cddd504d1b6a2042b45b5c5ae622b23b9
-EBUILD dracut-045.ebuild 4822 SHA256 f843b16a682e4d9fca90398c9509e48c26e6d1f3b54b54d7416ef24bffb9c40b SHA512 f2dd17ecbe36fa64f6c5ab84a7c5777636bb0832a22deb274ea01b5e2bc18fdc66c3e526486fc9e4bf59f53d28d60f6935a0b85ad0db17be333688a89a630ed7 WHIRLPOOL 09410575b79ab230cfc3593b78914cb8bc6e7e7549334879b4ab9e14bb22dd0bf5bb04aca97d7c92abc4f3907a909c6ddbcae14beab90e3c4a6af9c29b64809a
+EBUILD dracut-045-r2.ebuild 4865 SHA256 d1c086bf8210c527b678416ae04486fe11deb8a6b60b9003cbc5fd2e71a745ef SHA512 b1ff7afc3c2f6ab6112ac567e6d795118579e0a9cd93952fec01bfa56a6a9992b58577c347d8107b6df1e4b6f37f1950fe698b1f56f54518809740e46615c9f6 WHIRLPOOL ed33db42f7b3b791a419ff97982bca47dd5d417fc8a01d83f520f852d5f0bcf1137937ce6bd64d56f89b8815c7c553adf3ede98d5569d9553c5d695e923c916c
MISC metadata.xml 840 SHA256 8ef5aab36d95735b3b0b1cdba609ef3cd8e883ac38fb619c957fe5ae1e35bd6d SHA512 d347acc0a7c8b821804280f198aa28cbd4198a8f2d570c2725584b18b04125a684bed6adb48f5cb71fe1ef0e1c19320ad3dbff612dbf972f741b50b91fc388ba WHIRLPOOL 9edf380512d517d1eb6303a81379e8df8c342c3ab4501b150f2c23078185d09251903b4ea182a65c49caeda51ce21845ba34783875b7c8111883ff3855f0dbac
diff --git a/sys-kernel/dracut/dracut-045.ebuild b/sys-kernel/dracut/dracut-045-r2.ebuild
similarity index 98%
rename from sys-kernel/dracut/dracut-045.ebuild
rename to sys-kernel/dracut/dracut-045-r2.ebuild
index 20908ce..f7f3a12 100644
--- a/sys-kernel/dracut/dracut-045.ebuild
+++ b/sys-kernel/dracut/dracut-045-r2.ebuild
@@ -49,9 +49,10 @@ DEPEND="${CDEPEND}
DOCS=( AUTHORS HACKING NEWS README README.generic README.kernel README.modules
README.testsuite TODO )
-QA_MULTILIB_PATHS="usr/lib/dracut"
+QA_MULTILIB_PATHS="usr/lib/dracut/.*"
PATCHES=(
+ "${FILESDIR}/045-systemdutildir.patch"
"${FILESDIR}"/${P}-libfts.patch
)
diff --git a/sys-kernel/dracut/files/045-systemdutildir.patch b/sys-kernel/dracut/files/045-systemdutildir.patch
new file mode 100644
index 0000000..e56abba
--- /dev/null
+++ b/sys-kernel/dracut/files/045-systemdutildir.patch
@@ -0,0 +1,45 @@
+From ed5cc98864c28eab2c4cb45ec0f67450699aaaa8 Mon Sep 17 00:00:00 2001
+From: Mike Gilbert <floppym@gentoo.org>
+Date: Mon, 3 Jul 2017 22:39:42 -0400
+Subject: [PATCH] dracut.sh: improve udevdir and systemdutildir fallback logic
+
+Check for a common binary in systemdutildir. This resolves an issue on
+split-usr systems, where it is common to have both /lib/systemd[/system]
+and /usr/lib/systemd[/user] present.
+
+Check for systemd-udevd specifically, since some distros (Gentoo) allow
+udev to be installed without the rest of the systemd stack.
+
+Similar logic is applied to udevdir simply for consistency.
+---
+ dracut.sh | 8 ++++----
+ 1 file changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/dracut.sh b/dracut.sh
+index 64d94201..67c12a72 100755
+--- a/dracut.sh
++++ b/dracut.sh
+@@ -1266,16 +1266,16 @@ done
+ [[ -d $udevdir ]] \
+ || udevdir="$(pkg-config udev --variable=udevdir 2>/dev/null)"
+ if ! [[ -d "$udevdir" ]]; then
+- [[ ! -h /lib ]] && [[ -d /lib/udev ]] && udevdir=/lib/udev
+- [[ -d /usr/lib/udev ]] && udevdir=/usr/lib/udev
++ [[ -e /lib/udev/collect ]] && udevdir=/lib/udev
++ [[ -e /usr/lib/udev/collect ]] && udevdir=/usr/lib/udev
+ fi
+
+ [[ -d $systemdutildir ]] \
+ || systemdutildir=$(pkg-config systemd --variable=systemdutildir 2>/dev/null)
+
+ if ! [[ -d "$systemdutildir" ]]; then
+- [[ ! -h /lib ]] && [[ -d /lib/systemd ]] && systemdutildir=/lib/systemd
+- [[ -d /usr/lib/systemd ]] && systemdutildir=/usr/lib/systemd
++ [[ -e /lib/systemd/systemd-udevd ]] && systemdutildir=/lib/systemd
++ [[ -e /usr/lib/systemd/systemd-udevd ]] && systemdutildir=/usr/lib/systemd
+ fi
+
+ [[ -d $systemdsystemunitdir ]] \
+--
+2.13.2
+
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/musl:master commit in: sys-kernel/dracut/files/, sys-kernel/dracut/
@ 2018-03-25 15:27 Aric Belsito
0 siblings, 0 replies; 3+ messages in thread
From: Aric Belsito @ 2018-03-25 15:27 UTC (permalink / raw
To: gentoo-commits
commit: 6b22b05ef1d15b6763e25d118ea2fb0efc1c6009
Author: Aric Belsito <lluixhi <AT> gmail <DOT> com>
AuthorDate: Sun Mar 25 15:27:06 2018 +0000
Commit: Aric Belsito <lluixhi <AT> gmail <DOT> com>
CommitDate: Sun Mar 25 15:27:06 2018 +0000
URL: https://gitweb.gentoo.org/proj/musl.git/commit/?id=6b22b05e
sys-kernel/dracut: version bump to 047-r1
sys-kernel/dracut/dracut-046-r1.ebuild | 2 +-
.../{dracut-047.ebuild => dracut-047-r1.ebuild} | 7 +-
.../047-all-fix-issues-found-by-shellcheck.patch | 77 ++++++++++++++++++++++
...mouth-fix-detection-of-plymouth-directory.patch | 31 +++++++++
4 files changed, 115 insertions(+), 2 deletions(-)
diff --git a/sys-kernel/dracut/dracut-046-r1.ebuild b/sys-kernel/dracut/dracut-046-r1.ebuild
index db58301..83b00eb 100644
--- a/sys-kernel/dracut/dracut-046-r1.ebuild
+++ b/sys-kernel/dracut/dracut-046-r1.ebuild
@@ -10,7 +10,7 @@ HOMEPAGE="https://dracut.wiki.kernel.org"
SRC_URI="mirror://kernel/linux/utils/boot/${PN}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ~arm ia64 ~mips ~ppc sparc x86"
+KEYWORDS="amd64 ~arm ia64 ~mips ppc sparc x86"
IUSE="debug selinux"
RESTRICT="test"
diff --git a/sys-kernel/dracut/dracut-047.ebuild b/sys-kernel/dracut/dracut-047-r1.ebuild
similarity index 96%
rename from sys-kernel/dracut/dracut-047.ebuild
rename to sys-kernel/dracut/dracut-047-r1.ebuild
index 977b3ce..8f58b6c 100644
--- a/sys-kernel/dracut/dracut-047.ebuild
+++ b/sys-kernel/dracut/dracut-047-r1.ebuild
@@ -47,12 +47,14 @@ DEPEND="${COMMON_DEPEND}
"
DOCS=( AUTHORS HACKING NEWS README README.generic README.kernel README.modules
- README.testsuite TODO dracut.html )
+ README.testsuite TODO )
QA_MULTILIB_PATHS="usr/lib/dracut/.*"
PATCHES=(
"${FILESDIR}/045-systemdutildir.patch"
+ "${FILESDIR}/047-all-fix-issues-found-by-shellcheck.patch"
+ "${FILESDIR}/047-plymouth-fix-detection-of-plymouth-directory.patch"
"${FILESDIR}"/${P}-libfts.patch
)
@@ -86,6 +88,9 @@ src_install() {
insinto /etc/logrotate.d
newins dracut.logrotate dracut
+
+ docinto html
+ dodoc dracut.html
}
pkg_postinst() {
diff --git a/sys-kernel/dracut/files/047-all-fix-issues-found-by-shellcheck.patch b/sys-kernel/dracut/files/047-all-fix-issues-found-by-shellcheck.patch
new file mode 100644
index 0000000..d5cbe04
--- /dev/null
+++ b/sys-kernel/dracut/files/047-all-fix-issues-found-by-shellcheck.patch
@@ -0,0 +1,77 @@
+From 3aa37cafde734719f2377600a17459fad30edfbc Mon Sep 17 00:00:00 2001
+From: Lukas Nykryn <lnykryn@redhat.com>
+Date: Fri, 2 Mar 2018 12:29:46 +0100
+Subject: [PATCH 06/14] all: fix issues found by shellcheck
+To: <initramfs@vger.kernel.org>
+
+Error: SHELLCHECK_WARNING:
+/usr/lib/dracut/dracut-init.sh:939:20: error: Argument to implicit -n is always true due to literal strings. [SC2157]
+ 937| dracut_kernel_post() {
+ 938| for _f in modules.builtin.bin modules.builtin modules.order; do
+ 939|-> [[ $srcmods/$_f ]] && inst_simple "$srcmods/$_f" "/lib/modules/$kernel/$_f"
+ 940| done
+ 941|
+
+Error: SHELLCHECK_WARNING:
+/usr/lib/dracut/modules.d/98syslog/parse-syslog-opts.sh:18:12: error: This expression is constant. Did you forget a $ somewhere? [SC2078]
+ 16| elif [ -e /sbin/syslogd ]; then
+ 17| syslogtype="syslogd"
+ 18|-> elif [ /sbin/syslog-ng ]; then
+ 19| syslogtype="syslog-ng"
+ 20| else
+
+Error: SHELLCHECK_WARNING:
+/usr/lib/dracut/modules.d/90crypt/crypt-lib.sh:15:29: error: Since you double quoted this, it will not word split, and the loop will only run once. [SC2066]
+ 13| strstr "$d" "${luks##luks-}" && return 0
+ 14| if [ -n "$dev" ]; then
+ 15|-> for _dev in "$(devnames $d)"; do
+ 16| [ "$dev" -ef "$_dev" ] && return 0
+ 17| done
+---
+ dracut-init.sh | 2 +-
+ modules.d/90crypt/crypt-lib.sh | 2 +-
+ modules.d/98syslog/parse-syslog-opts.sh | 2 +-
+ 3 files changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/dracut-init.sh b/dracut-init.sh
+index 53e6f13a..1278c638 100644
+--- a/dracut-init.sh
++++ b/dracut-init.sh
+@@ -942,7 +942,7 @@ for_each_kmod_dep() {
+
+ dracut_kernel_post() {
+ for _f in modules.builtin.bin modules.builtin modules.order; do
+- [[ $srcmods/$_f ]] && inst_simple "$srcmods/$_f" "/lib/modules/$kernel/$_f"
++ [[ -e $srcmods/$_f ]] && inst_simple "$srcmods/$_f" "/lib/modules/$kernel/$_f"
+ done
+
+ # generate module dependencies for the initrd
+diff --git a/modules.d/90crypt/crypt-lib.sh b/modules.d/90crypt/crypt-lib.sh
+index 532b9a71..bbf485e0 100755
+--- a/modules.d/90crypt/crypt-lib.sh
++++ b/modules.d/90crypt/crypt-lib.sh
+@@ -12,7 +12,7 @@ crypttab_contains() {
+ strstr "${l##luks-}" "${luks##luks-}" && return 0
+ strstr "$d" "${luks##luks-}" && return 0
+ if [ -n "$dev" ]; then
+- for _dev in "$(devnames $d)"; do
++ for _dev in $(devnames $d); do
+ [ "$dev" -ef "$_dev" ] && return 0
+ done
+ fi
+diff --git a/modules.d/98syslog/parse-syslog-opts.sh b/modules.d/98syslog/parse-syslog-opts.sh
+index 50ec2759..9ec6ad47 100755
+--- a/modules.d/98syslog/parse-syslog-opts.sh
++++ b/modules.d/98syslog/parse-syslog-opts.sh
+@@ -15,7 +15,7 @@ detect_syslog() {
+ syslogtype="rsyslogd"
+ elif [ -e /sbin/syslogd ]; then
+ syslogtype="syslogd"
+- elif [ /sbin/syslog-ng ]; then
++ elif [ -e /sbin/syslog-ng ]; then
+ syslogtype="syslog-ng"
+ else
+ warn "Could not find any syslog binary although the syslogmodule is selected to be installed. Please check."
+--
+2.16.1
+
diff --git a/sys-kernel/dracut/files/047-plymouth-fix-detection-of-plymouth-directory.patch b/sys-kernel/dracut/files/047-plymouth-fix-detection-of-plymouth-directory.patch
new file mode 100644
index 0000000..42f8772
--- /dev/null
+++ b/sys-kernel/dracut/files/047-plymouth-fix-detection-of-plymouth-directory.patch
@@ -0,0 +1,31 @@
+From fe6c7e0f06cde65effb3503a47c31ac39aceefb6 Mon Sep 17 00:00:00 2001
+From: Alexander Tsoy <alexander@tsoy.me>
+Date: Fri, 23 Mar 2018 11:52:27 +0300
+Subject: [PATCH 14/14] plymouth: fix detection of plymouth directory
+To: <initramfs@vger.kernel.org>
+
+Some distros have both /usr/lib/plymouth and /usr/libexec/plymouth
+directorirs, so we should check the existance of plymouth-populate-initrd
+script.
+
+Fixes: 421b46f8ae89cfe2b62e880a8a5079ee8c1b3aae
+---
+ modules.d/50plymouth/module-setup.sh | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/modules.d/50plymouth/module-setup.sh b/modules.d/50plymouth/module-setup.sh
+index 5fbca8b0..b51913e8 100755
+--- a/modules.d/50plymouth/module-setup.sh
++++ b/modules.d/50plymouth/module-setup.sh
+@@ -6,7 +6,7 @@ pkglib_dir() {
+ _dirs+=" /usr/lib/$(dpkg-architecture -qDEB_HOST_MULTIARCH)/plymouth"
+ fi
+ for _dir in $_dirs; do
+- if [ -d $_dir ]; then
++ if [ -x $_dir/plymouth-populate-initrd ]; then
+ echo $_dir
+ return
+ fi
+--
+2.16.1
+
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2018-03-25 15:27 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-07-06 17:32 [gentoo-commits] proj/musl:master commit in: sys-kernel/dracut/files/, sys-kernel/dracut/ Aric Belsito
-- strict thread matches above, loose matches on Subject: below --
2018-03-25 15:27 Aric Belsito
2017-07-03 20:36 Aric Belsito
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox